/*
This skin wrapper layout file adds an About button to the titlebar.
*/

// prepend the titlebar
$("#TitleBarButtons").prepend('<div id="AboutButton" class="TitleButton"><span class="IconSheet GbDesktop AboutIcon"></span></div>');

// we need this to communicate to the parent process about the button press
node_remote = require("electron").remote;

$("#AboutButton").click(function() {
	node_remote.dialog.showMessageBox({
		title: "About",
		type: "info",
		message: "GameBanana Desktop",
		detail: "Running default skin by tom."
			+" Get more skins at GameBananana."
			+" See the README for skinning help."
	});
});